
let singleQuotedString = "'([^'\\\\\\n]|\\\\.)+?'";
let doubleQuotedString = '"([^"\\\\\\n]|\\\\.)+?"';
let quotedString = "(" + singleQuotedString + "|" + doubleQuotedString + ")";

let funcNames = "(\\bt|\\.translate|\\.selectTranslate)";


let rx="("+[

        // 'app.title' | transloco
        quotedString + "\\s*\\|\\s*transloco",

        // transloco='app.title'
        "[^*]transloco=" + quotedString,

        // t('app.title'... ) / .translate('app.title'...) / .selectTranslate('app.title'...)
        funcNames + "\\(\\s*" + quotedString + ".*?\\)"

].join('|')+")";


let copyTemplates = [
        "{{ '%1' | transloco }}",
        "transloco='%1'",
        "t('%1')",
        "translate('%1')",
        "selectTranslate('%1')",
];


info = {
    'name': 'angular-transloco',
    'version': '1.0.0',
    'description': 'Transloco JSON files',
    'file-mode': "language-file",
    'delimiter': '.',
    'file-extensions': [ 'json' ],
    'copy-template-defaults': copyTemplates,
    'exclude-dirs': ['node_modules', 'vendor', 'dist'],
    'sources-to-scan': ['*.js', '*.ts', '*.html' ],
    'sources-to-exclude': [],
    'source-scanner-rx': rx,
    'configuration': common.configuration,
    'formats': common.formats
};


fileio = {
    //
    // Imports file contents
    //
    importData: common.importData,


    //
    // prepare writing of files
    //
    prepareExport: common.prepareExport,


    //
    // save translation for current file
    //
    saveTranslation: common.saveTranslation,


    //
    // return formatted file data
    //
    getSaveFile: common.getSaveFile

}



